## ros-indigo-cob-omni-drive-controller 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_omni_drive_controller)

find_package(catkin REQUIRED COMPONENTS angles controller_interface dynamic_reconfigure geometry_msgs hardware_interface message_generation nav_msgs realtime_tools sensor_msgs std_msgs std_srvs tf tf2 urdf)

find_package(Boost REQUIRED COMPONENTS thread)

add_message_files(
  DIRECTORY msg
  FILES
  WheelCommands.msg
)

generate_messages(DEPENDENCIES std_msgs)

generate_dynamic_reconfigure_options(
  cfg/SteerCtrl.cfg
)

catkin_package(
  CATKIN_DEPENDS angles controller_interface dynamic_reconfigure geometry_msgs hardware_interface message_runtime nav_msgs sensor_msgs std_msgs std_srvs tf tf2 urdf
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES cob_omni_drive_geom cob_omni_drive_controller
)

### BUILD ###
include_directories(include src ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(cob_omni_drive_geom src/UndercarriageCtrlGeom.cpp src/param_parser.cpp)
add_dependencies(cob_omni_drive_geom ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_omni_drive_geom ${catkin_LIBRARIES})

add_library(cob_omni_drive_controller src/odom_plugin.cpp src/control_plugin.cpp)
add_dependencies(cob_omni_drive_controller ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_omni_drive_controller cob_omni_drive_geom ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(cob_omni_drive_stuck_detector src/stuck_detector.cpp)
add_dependencies(cob_omni_drive_stuck_detector ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_omni_drive_stuck_detector ${catkin_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS cob_omni_drive_geom cob_omni_drive_controller cob_omni_drive_stuck_detector
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS scripts/test_publisher_twist_sine.py scripts/test_publisher_twist_step.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
 DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-omni-drive-controller (0.6.17-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #178 <https://github.com/ipa320/cob_control/issues/178> from benmaidel/fix/wheel_transform_indigo
    fix wheel transformation from urdf (indigo_dev)
  * user robotmodel root link for wheel transformation
  * fixed tf2 includes
  * read whole transformation chain between wheel and base_link
  * Merge pull request #185 <https://github.com/ipa320/cob_control/issues/185> from ipa-fxm/indigo/fix/max_wheel_rate_from_urdf
    read max_wheel_rates from urdf
  * read max_wheel_rates from urdf
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #164 <https://github.com/ipa320/cob_control/issues/164> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.15-0trusty) trusty; urgency=high

  * remove sympy implementation and dependency
  * implement setting pos ctrl params with  dynamic_reconfigure
  * dynamic reconfigure config for SteerCtrl parameter
  * refactored cob_omni_wheel_controller classes
  * add test scripts
  * manually fix changelog
  * Contributors: Felix Messmer, Mathias Lüdtke, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.14-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.13-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.12-0trusty) trusty; urgency=high

  * added stuck detector node
  * publish WheelCommands, rate devided by pub_divider
  * introduced WheelCommand, outputs state and steer target error
  * Contributors: Mathias Lüdtke

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.11-0trusty) trusty; urgency=high

  * remove leading slashes and use odom as default
  * configurable odometry_controller
  * [hotfix] compile error
  * Contributors: ipa-fmw, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.10-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.9-0trusty) trusty; urgency=high

  * boost revision
  * explicit dependency to boost
  * more dependency fixes according to review comments
  * explicit dependency to boost
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.8-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.7-0trusty) trusty; urgency=high

  * migrated to std_srvs/Trigger
  * improved realtime behavoíour, no updates can get lost anymore
  * added dependency on cob_srvs, fixed c&p bug
  * do not reset odometry on restarts
  * fixed reset service: compiles again and thread/RT-safe
  * added service to reset odometry to zero
  * rename topic as agreed
  * update examples
  * support for wheel struct
  * Handle XmlRpcValue parsing error, special case for double
  * fix for logic bug
  * init to neutral position works now
  * so not reset target on reset(), should be done externally if needed
  * fixed copy&paste bugs
  * added controller type in examples
  * try_read is now read_with_default
  * validity checks  for wheel_radius
  * introduced read_optional, fixed URDF parsing
  * steer_name and drive_name are now read from steer and drive paramater (as in examples)
  * logic bug
  * publish_rate was used as duration, added validity check
  * advertise odom topic
  * UndercarriageCtrl::reset got lost during split-up
  * refactored WheelController to improve locking behaviour, implement timeout and limit checks
  * reset Target to zero on reset()
  * expose UndercarriageCtrl::limitValue with limit validity check
  * updated examples
  * splitted UndercarriageCtrlGeom into UndercarriageGeomBase, UndercarriageGeom and UndercarriageCtrl
  * enforced lower camel case methods
  * removed parseIniFiles
  * added example yamls
  * implemented parseWheelParams with URDF look-up
  * limit steer and drive rate if specified
  * added WheelParams::dSteerDriveCoupling, WheelData::dFactorVel is now filled automatically
  * removed debugging output
  * adaptet constructor of WheelData to set the neutralPos of a wheel
  * Merge branch 'omni_wheel' of https://github.com/olgen2013/cob_control into omni_wheel
  * fix assignment bug
  * online/robot modifications
  * fixed assignment bug and added console out put for online-testing
  * improved INI parsing
  * migrated to shared implementation of GeomController
  * verbose exception handling
  * library path was wrong
  * Contributors: Florian Weisshardt, Joshua Hampp, Mathias Lüdtke, ipa-fxm, mig-jg

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.6-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-cob-omni-drive-controller (0.6.5-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-cob-omni-drive-controller
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-angles, ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2, ros-indigo-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-omni-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-angles, ros-indigo-controller-interface, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2, ros-indigo-urdf
Description: The cob_omni_drive_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-omni-drive-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
